export const EmptyWalletIcon = ({ style = {} }) => {
  return (
    <svg
      style={style}
      className="icon"
      width="21"
      height="21"
      viewBox="0 0 21 21"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="M15.284 18.9854H5.71732C3.64232 18.9854 1.95898 17.302 1.95898 15.227V9.61869C1.95898 7.54369 3.64232 5.86035 5.71732 5.86035H15.284C17.359 5.86035 19.0423 7.54369 19.0423 9.61869V10.8187C19.0423 11.1604 18.759 11.4437 18.4173 11.4437H16.734C16.4423 11.4437 16.1756 11.552 15.984 11.752L15.9756 11.7604C15.7423 11.9854 15.634 12.2937 15.659 12.6103C15.709 13.1603 16.234 13.602 16.834 13.602H18.4173C18.759 13.602 19.0423 13.8853 19.0423 14.227V15.2187C19.0423 17.302 17.359 18.9854 15.284 18.9854ZM5.71732 7.11035C4.33398 7.11035 3.20898 8.23536 3.20898 9.61869V15.227C3.20898 16.6103 4.33398 17.7354 5.71732 17.7354H15.284C16.6673 17.7354 17.7923 16.6103 17.7923 15.227V14.8603H16.834C15.5757 14.8603 14.509 13.927 14.409 12.727C14.3423 12.0437 14.5923 11.3687 15.0923 10.877C15.5257 10.4354 16.109 10.1937 16.734 10.1937H17.7923V9.61869C17.7923 8.23536 16.6673 7.11035 15.284 7.11035H5.71732Z"
        fill="#7F879E"
      />
      <path
        d="M2.58398 10.9943C2.24232 10.9943 1.95898 10.711 1.95898 10.3693V6.56105C1.95898 5.31939 2.74232 4.19434 3.90065 3.75267L10.5173 1.25267C11.2007 0.99434 11.959 1.08605 12.5507 1.50271C13.1507 1.91938 13.5007 2.59437 13.5007 3.31937V6.48603C13.5007 6.8277 13.2173 7.11103 12.8757 7.11103C12.534 7.11103 12.2507 6.8277 12.2507 6.48603V3.31937C12.2507 3.00271 12.1007 2.71103 11.834 2.5277C11.5673 2.34436 11.2507 2.30269 10.9507 2.41936L4.33398 4.91936C3.65898 5.17769 3.20065 5.83605 3.20065 6.56105V10.3693C3.20898 10.7193 2.92565 10.9943 2.58398 10.9943Z"
        fill="#7F879E"
      />
      <path
        d="M16.834 14.861C15.5757 14.861 14.509 13.9277 14.409 12.7277C14.3424 12.036 14.5924 11.361 15.0924 10.8693C15.5174 10.436 16.1007 10.1943 16.7257 10.1943H18.459C19.284 10.2193 19.9174 10.8693 19.9174 11.6693V13.386C19.9174 14.186 19.284 14.836 18.484 14.861H16.834ZM18.4424 11.4443H16.734C16.4424 11.4443 16.1757 11.5527 15.984 11.7527C15.7424 11.986 15.6257 12.3026 15.659 12.6193C15.709 13.1693 16.234 13.611 16.834 13.611H18.4674C18.5757 13.611 18.6757 13.511 18.6757 13.386V11.6693C18.6757 11.5443 18.5757 11.4527 18.4424 11.4443Z"
        fill="#7F879E"
      />
      <path
        d="M12.1673 10.6523H6.33398C5.99232 10.6523 5.70898 10.369 5.70898 10.0273C5.70898 9.68568 5.99232 9.40234 6.33398 9.40234H12.1673C12.509 9.40234 12.7923 9.68568 12.7923 10.0273C12.7923 10.369 12.509 10.6523 12.1673 10.6523Z"
        fill="#7F879E"
      />
    </svg>
  )
}
